org.jacoco.core.analysis

## Interface ICoverageVisitor

All Known Implementing Classes:
  CoverageBuilder

    public interface ICoverageVisitor

Interface for coverage data output as a stream of `IClassCoverage` instances.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visitCoverage(IClassCoverage coverage)` For analyzed class coverage data is emitted to this method.

### Method Detail

#### visitCoverage

    void visitCoverage(IClassCoverage coverage)

For analyzed class coverage data is emitted to this method.

Parameters:
  `coverage` - coverage data for a class